import Panel from "../MViews/MPanel";
import MButton from "../MUI/MButton";
import { MConfigs } from "../Global/MConfigs";

export default class ActOverPrizePanel extends Panel {
    get skinKey() { return "ActOverPrizePanel" }
    public recordBtn: MButton;
    public btnClose: MButton;
    
    onSkinComplete() {
        super.onSkinComplete();
        this.btnClose.onTap(this, () => this.hidePanel());
    
        this.recordBtn.onTap(this, () => {
            location.href = MConfigs.rewardRecordUrl;
        });
    }
}